/* stylelint-disable selector-class-pattern */
.shopify-pc__banner__dialog {
  padding: var(--spacing__16px) !important;

  @media screen and (min-width: 768px) {
    padding: var(--spacing__8px) !important;
  }
}

.shopify-pc__banner__body,
.shopify-pc__banner__body p {
  font-size: var(--font-size__12px) !important;
}

.shopify-pc__banner__btn-manage-prefs {
  margin: 0 !important;
  font-size: var(--font-size__12px) !important;
}

.shopify-pc__prefs__header-actions {
  gap: var(--spacing__8px) !important;
}

.shopify-pc__banner__btn-accept,
.shopify-pc__banner__btn-decline,
.shopify-pc__prefs__header-actions button {
  display: inline-flex !important;
  align-items: center !important;
  justify-content: center !important;
  margin: 0 !important;
  padding: var(--button__padding) !important;
  color: var(--button-primary__color) !important;
  font-weight: var(--button__font-weight) !important;
  font-size: var(--button__font-size) !important;
  font-family: var(--button__font-family) !important;
  line-height: var(--button__line-height) !important;
  text-transform: uppercase !important;
  text-decoration: none !important;
  background-color: var(--button-primary__background-color) !important;
  border: var(--button-primary__border) !important;

  &:hover {
    color: var(--button-primary__color--hover) !important;
    background-color: var(--button-primary__background-color--hover) !important;
    border: var(--button-primary__border--hover) !important;
  }

  &:focus {
    color: var(--button-primary__color--focus) !important;
    background-color: var(--button-primary__background-color--focus) !important;
    border: var(--button-primary__border--focus) !important;
  }
}
